diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/update.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/update.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/update.php	2012-11-16 15:52:48.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/update.php	2013-10-22 16:15:09.000000000 -0500
***************
*** 6,13 ****
   * @subpackage Administration
   */
  
- // The admin side of our 1.1 update system
- 
  /**
   * Selects the first update version from the update_core option
   *
--- 6,11 ----
***************
*** 15,24 ****
   */
  function get_preferred_from_update_core() {
  	$updates = get_core_updates();
! 	if ( !is_array( $updates ) )
  		return false;
  	if ( empty( $updates ) )
! 		return (object)array('response' => 'latest');
  	return $updates[0];
  }
  
--- 13,22 ----
   */
  function get_preferred_from_update_core() {
  	$updates = get_core_updates();
! 	if ( ! is_array( $updates ) )
  		return false;
  	if ( empty( $updates ) )
! 		return (object) array( 'response' => 'latest' );
  	return $updates[0];
  }
  
***************
*** 30,80 ****
   * @return array Array of the update objects
   */
  function get_core_updates( $options = array() ) {
! 	$options = array_merge( array('available' => true, 'dismissed' => false ), $options );
  	$dismissed = get_site_option( 'dismissed_update_core' );
! 	if ( !is_array( $dismissed ) ) $dismissed = array();
  	$from_api = get_site_transient( 'update_core' );
! 	if ( empty($from_api) )
  		return false;
! 	if ( !isset( $from_api->updates ) || !is_array( $from_api->updates ) ) return false;
  	$updates = $from_api->updates;
- 	if ( !is_array( $updates ) ) return false;
  	$result = array();
! 	foreach($updates as $update) {
! 		if ( array_key_exists( $update->current.'|'.$update->locale, $dismissed ) ) {
  			if ( $options['dismissed'] ) {
  				$update->dismissed = true;
! 				$result[]= $update;
  			}
  		} else {
  			if ( $options['available'] ) {
  				$update->dismissed = false;
! 				$result[]= $update;
  			}
  		}
  	}
  	return $result;
  }
  
  function dismiss_core_update( $update ) {
  	$dismissed = get_site_option( 'dismissed_update_core' );
! 	$dismissed[ $update->current.'|'.$update->locale ] = true;
  	return update_site_option( 'dismissed_update_core', $dismissed );
  }
  
  function undismiss_core_update( $version, $locale ) {
  	$dismissed = get_site_option( 'dismissed_update_core' );
! 	$key = $version.'|'.$locale;
! 	if ( !isset( $dismissed[$key] ) ) return false;
  	unset( $dismissed[$key] );
  	return update_site_option( 'dismissed_update_core', $dismissed );
  }
  
  function find_core_update( $version, $locale ) {
  	$from_api = get_site_transient( 'update_core' );
! 	if ( !is_array( $from_api->updates ) ) return false;
  	$updates = $from_api->updates;
! 	foreach($updates as $update) {
  		if ( $update->current == $version && $update->locale == $locale )
  			return $update;
  	}
--- 28,156 ----
   * @return array Array of the update objects
   */
  function get_core_updates( $options = array() ) {
! 	$options = array_merge( array( 'available' => true, 'dismissed' => false ), $options );
  	$dismissed = get_site_option( 'dismissed_update_core' );
! 
! 	if ( ! is_array( $dismissed ) )
! 		$dismissed = array();
! 
  	$from_api = get_site_transient( 'update_core' );
! 
! 	if ( ! isset( $from_api->updates ) || ! is_array( $from_api->updates ) )
  		return false;
! 
  	$updates = $from_api->updates;
  	$result = array();
! 	foreach ( $updates as $update ) {
! 		if ( $update->response == 'autoupdate' )
! 			continue;
! 
! 		if ( array_key_exists( $update->current . '|' . $update->locale, $dismissed ) ) {
  			if ( $options['dismissed'] ) {
  				$update->dismissed = true;
! 				$result[] = $update;
  			}
  		} else {
  			if ( $options['available'] ) {
  				$update->dismissed = false;
! 				$result[] = $update;
  			}
  		}
  	}
  	return $result;
  }
  
+ /**
+  * Gets the best available (and enabled) Auto-Update for WordPress Core.
+  *
+  * If there's 1.2.3 and 1.3 on offer, it'll choose 1.3 if the install allows it, else, 1.2.3
+  *
+  * @since 3.7.0
+  *
+  * @return bool|array False on failure, otherwise the core update offering.
+  */
+ function find_core_auto_update() {
+ 	$updates = get_site_transient( 'update_core' );
+ 	if ( ! $updates || empty( $updates->updates ) )
+ 		return false;
+ 
+ 	include_once ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
+ 
+ 	$auto_update = false;
+ 	$upgrader = new WP_Automatic_Updater;
+ 	foreach ( $updates->updates as $update ) {
+ 		if ( 'autoupdate' != $update->response )
+ 			continue;
+ 
+ 		if ( ! $upgrader->should_update( 'core', $update, ABSPATH ) )
+ 			continue;
+ 
+ 		if ( ! $auto_update || version_compare( $update->current, $auto_update->current, '>' ) )
+ 			$auto_update = $update;
+ 	}
+ 	return $auto_update;
+ }
+ 
+ /**
+  * Gets and caches the checksums for the given version of WordPress.
+  *
+  * @since 3.7.0
+  *
+  * @param string $version Version string to query.
+  * @param string $locale  Locale to query.
+  * @return bool|array False on failure. An array of checksums on success.
+  */
+ function get_core_checksums( $version, $locale ) {
+ 	$return = array();
+ 
+ 	$url = 'http://api.wordpress.org/core/checksums/1.0/?' . http_build_query( compact( 'version', 'locale' ), null, '&' );
+ 
+ 	if ( wp_http_supports( array( 'ssl' ) ) )
+ 		$url = set_url_scheme( $url, 'https' );
+ 
+ 	$options = array(
+ 		'timeout' => ( ( defined('DOING_CRON') && DOING_CRON ) ? 30 : 3 ),
+ 	);
+ 
+ 	$response = wp_remote_get( $url, $options );
+ 
+ 	if ( is_wp_error( $response ) || 200 != wp_remote_retrieve_response_code( $response ) )
+ 		return false;
+ 
+ 	$body = trim( wp_remote_retrieve_body( $response ) );
+ 	$body = json_decode( $body, true );
+ 
+ 	if ( ! is_array( $body ) || ! isset( $body['checksums'] ) || ! is_array( $body['checksums'] ) )
+ 		return false;
+ 
+ 	return $body['checksums'];
+ }
+ 
  function dismiss_core_update( $update ) {
  	$dismissed = get_site_option( 'dismissed_update_core' );
! 	$dismissed[ $update->current . '|' . $update->locale ] = true;
  	return update_site_option( 'dismissed_update_core', $dismissed );
  }
  
  function undismiss_core_update( $version, $locale ) {
  	$dismissed = get_site_option( 'dismissed_update_core' );
! 	$key = $version . '|' . $locale;
! 
! 	if ( ! isset( $dismissed[$key] ) )
! 		return false;
! 
  	unset( $dismissed[$key] );
  	return update_site_option( 'dismissed_update_core', $dismissed );
  }
  
  function find_core_update( $version, $locale ) {
  	$from_api = get_site_transient( 'update_core' );
! 
! 	if ( ! isset( $from_api->updates ) || ! is_array( $from_api->updates ) )
! 		return false;
! 
  	$updates = $from_api->updates;
! 	foreach ( $updates as $update ) {
  		if ( $update->current == $version && $update->locale == $locale )
  			return $update;
  	}
***************
*** 211,225 ****
  	}
  }
  
- function wp_update_plugin($plugin, $feedback = '') {
- 	if ( !empty($feedback) )
- 		add_filter('update_feedback', $feedback);
- 
- 	include ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
- 	$upgrader = new Plugin_Upgrader();
- 	return $upgrader->upgrade($plugin);
- }
- 
  function get_theme_updates() {
  	$themes = wp_get_themes();
  	$current = get_site_transient('update_themes');
--- 287,292 ----
***************
*** 236,250 ****
  	return $update_themes;
  }
  
- function wp_update_theme($theme, $feedback = '') {
- 	if ( !empty($feedback) )
- 		add_filter('update_feedback', $feedback);
- 
- 	include ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
- 	$upgrader = new Theme_Upgrader();
- 	return $upgrader->upgrade($theme);
- }
- 
  function wp_theme_update_rows() {
  	if ( !current_user_can('update_themes' ) )
  		return;
--- 303,308 ----
***************
*** 285,303 ****
  	echo '</div></td></tr>';
  }
  
- function wp_update_core($current, $feedback = '') {
- 	if ( !empty($feedback) )
- 		add_filter('update_feedback', $feedback);
- 
- 	include ABSPATH . 'wp-admin/includes/class-wp-upgrader.php';
- 	$upgrader = new Core_Upgrader();
- 	return $upgrader->upgrade($current);
- 
- }
- 
  function maintenance_nag() {
  	global $upgrading;
! 	if ( ! isset( $upgrading ) )
  		return false;
  
  	if ( current_user_can('update_core') )
--- 343,370 ----
  	echo '</div></td></tr>';
  }
  
  function maintenance_nag() {
+ 	include ABSPATH . WPINC . '/version.php'; // include an unmodified $wp_version
  	global $upgrading;
! 	$nag = isset( $upgrading );
! 	if ( ! $nag ) {
! 		$failed = get_site_option( 'auto_core_update_failed' );
! 		/*
! 		 * If an update failed critically, we may have copied over version.php but not other files.
! 		 * In that case, if the install claims we're running the version we attempted, nag.
! 		 * This is serious enough to err on the side of nagging.
! 		 *
! 		 * If we simply failed to update before we tried to copy any files, then assume things are
! 		 * OK if they are now running the latest.
! 		 *
! 		 * This flag is cleared whenever a successful update occurs using Core_Upgrader.
! 		 */
! 		$comparison = ! empty( $failed['critical'] ) ? '>=' : '>';
! 		if ( version_compare( $failed['attempted'], $wp_version, '>=' ) )
! 			$nag = true;
! 	}
! 
! 	if ( ! $nag )
  		return false;
  
  	if ( current_user_can('update_core') )
***************
*** 308,310 ****
--- 375,378 ----
  	echo "<div class='update-nag'>$msg</div>";
  }
  add_action( 'admin_notices', 'maintenance_nag' );
+ add_action( 'network_admin_notices', 'maintenance_nag' );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/upgrade.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/upgrade.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/upgrade.php	2013-07-09 23:01:20.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/upgrade.php	2013-10-18 02:48:09.000000000 -0500
***************
*** 402,407 ****
--- 402,410 ----
  	if ( $wp_current_db_version < 22422 )
  		upgrade_350();
  
+ 	if ( $wp_current_db_version < 25824 )
+ 		upgrade_370();
+ 
  	maybe_disable_link_manager();
  
  	maybe_disable_automattic_widgets();
***************
*** 1209,1220 ****
--- 1212,1248 ----
  }
  
  /**
+  * Execute changes made in WordPress 3.7.
+  *
+  * @since 3.7.0
+  */
+ function upgrade_370() {
+ 	global $wp_current_db_version;
+ 	if ( $wp_current_db_version < 25824 )
+ 		wp_clear_scheduled_hook( 'wp_auto_updates_maybe_update' );
+ }
+ 
+ /**
   * Execute network level changes
   *
   * @since 3.0.0
   */
  function upgrade_network() {
  	global $wp_current_db_version, $wpdb;
+ 
+ 	// Always
+ 	if ( is_main_network() ) {
+ 		// Deletes all expired transients.
+ 		// The multi-table delete syntax is used to delete the transient record from table a,
+ 		// and the corresponding transient_timeout record from table b.
+ 		$time = time();
+ 		$wpdb->query("DELETE a, b FROM $wpdb->sitemeta a, $wpdb->sitemeta b WHERE
+ 			a.meta_key LIKE '\_site\_transient\_%' AND
+ 			a.meta_key NOT LIKE '\_site\_transient\_timeout\_%' AND
+ 			b.meta_key = CONCAT( '_site_transient_timeout_', SUBSTRING( a.meta_key, 17 ) )
+ 			AND b.meta_value < $time");
+ 	}
+ 
  	// 2.8
  	if ( $wp_current_db_version < 11549 ) {
  		$wpmu_sitewide_plugins = get_site_option( 'wpmu_sitewide_plugins' );
***************
*** 1978,1983 ****
--- 2006,2027 ----
  		$wpdb->query("ALTER TABLE $wpdb->options DROP INDEX option_name");
  	}
  
+ 	// Multisite schema upgrades.
+ 	if ( $wp_current_db_version < 25448 && is_multisite() && ! defined( 'DO_NOT_UPGRADE_GLOBAL_TABLES' ) && is_main_network() ) {
+ 
+ 		// Upgrade verions prior to 3.7
+ 		if ( $wp_current_db_version < 25179 ) {
+ 			// New primary key for signups.
+ 			$wpdb->query( "ALTER TABLE $wpdb->signups ADD signup_id BIGINT(20) NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST" );
+ 			$wpdb->query( "ALTER TABLE $wpdb->signups DROP INDEX domain" );
+ 		}
+ 
+ 		if ( $wp_current_db_version < 25448 ) {
+ 			// Convert archived from enum to tinyint.
+ 			$wpdb->query( "ALTER TABLE $wpdb->blogs CHANGE COLUMN archived archived varchar(1) NOT NULL default '0'" );
+ 			$wpdb->query( "ALTER TABLE $wpdb->blogs CHANGE COLUMN archived archived tinyint(2) NOT NULL default 0" );
+ 		}
+ 	}
  }
  
  /**
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/user.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/user.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/includes/user.php	2013-06-25 06:14:50.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/includes/user.php	2013-09-24 13:14:09.000000000 -0500
***************
*** 85,91 ****
  	if ( isset( $_POST['description'] ) )
  		$user->description = trim( $_POST['description'] );
  
! 	foreach ( _wp_get_user_contactmethods( $user ) as $method => $name ) {
  		if ( isset( $_POST[$method] ))
  			$user->$method = sanitize_text_field( $_POST[$method] );
  	}
--- 85,91 ----
  	if ( isset( $_POST['description'] ) )
  		$user->description = trim( $_POST['description'] );
  
! 	foreach ( wp_get_user_contact_methods( $user ) as $method => $name ) {
  		if ( isset( $_POST[$method] ))
  			$user->$method = sanitize_text_field( $_POST[$method] );
  	}
***************
*** 195,206 ****
   * @since 2.0.5
   *
   * @param int $user_id User ID.
!  * @return object WP_User object with user data.
   */
  function get_user_to_edit( $user_id ) {
  	$user = get_userdata( $user_id );
  
! 	$user->filter = 'edit';
  
  	return $user;
  }
--- 195,207 ----
   * @since 2.0.5
   *
   * @param int $user_id User ID.
!  * @return WP_User|bool WP_User object on success, false on failure.
   */
  function get_user_to_edit( $user_id ) {
  	$user = get_userdata( $user_id );
  
! 	if ( $user )
! 		$user->filter = 'edit';
  
  	return $user;
  }
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/index.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/index.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/index.php	2012-12-11 10:08:58.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/index.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 7,13 ****
   */
  
  /** Load WordPress Bootstrap */
! require_once('./admin.php');
  
  /** Load WordPress dashboard API */
  require_once(ABSPATH . 'wp-admin/includes/dashboard.php');
--- 7,13 ----
   */
  
  /** Load WordPress Bootstrap */
! require_once( dirname( __FILE__ ) . '/admin.php' );
  
  /** Load WordPress dashboard API */
  require_once(ABSPATH . 'wp-admin/includes/dashboard.php');
***************
*** 120,126 ****
   	<div id="welcome-panel" class="<?php echo esc_attr( $classes ); ?>">
   		<?php wp_nonce_field( 'welcome-panel-nonce', 'welcomepanelnonce', false ); ?>
  		<a class="welcome-panel-close" href="<?php echo esc_url( admin_url( '?welcome=0' ) ); ?>"><?php _e( 'Dismiss' ); ?></a>
! 		<?php do_action( 'welcome_panel' ); ?>
  	</div>
  <?php endif; ?>
  
--- 120,136 ----
   	<div id="welcome-panel" class="<?php echo esc_attr( $classes ); ?>">
   		<?php wp_nonce_field( 'welcome-panel-nonce', 'welcomepanelnonce', false ); ?>
  		<a class="welcome-panel-close" href="<?php echo esc_url( admin_url( '?welcome=0' ) ); ?>"><?php _e( 'Dismiss' ); ?></a>
! 		<?php
! 		/**
! 		 * Add content to the welcome panel on the admin dashboard.
! 		 *
! 		 * To remove the default welcome panel, use remove_action():
! 		 * <code>remove_action( 'welcome_panel', 'wp_welcome_panel' );</code>
! 		 *
! 		 * @since 3.5.0
! 		 */
! 		do_action( 'welcome_panel' );
! 		?>
  	</div>
  <?php endif; ?>
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/install.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/install.php	2013-06-30 06:18:35.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/install.php	2013-10-02 12:49:09.000000000 -0500
***************
*** 36,45 ****
  require_once( dirname( dirname( __FILE__ ) ) . '/wp-load.php' );
  
  /** Load WordPress Administration Upgrade API */
! require_once( dirname( __FILE__ ) . '/includes/upgrade.php' );
  
  /** Load wpdb */
! require_once(dirname(dirname(__FILE__)) . '/wp-includes/wp-db.php');
  
  $step = isset( $_GET['step'] ) ? (int) $_GET['step'] : 0;
  
--- 36,45 ----
  require_once( dirname( dirname( __FILE__ ) ) . '/wp-load.php' );
  
  /** Load WordPress Administration Upgrade API */
! require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
  
  /** Load wpdb */
! require_once( ABSPATH . 'wp-includes/wp-db.php' );
  
  $step = isset( $_GET['step'] ) ? (int) $_GET['step'] : 0;
  
***************
*** 85,97 ****
  		$blog_public = isset( $_POST['blog_public'] );
  
  	$weblog_title = isset( $_POST['weblog_title'] ) ? trim( wp_unslash( $_POST['weblog_title'] ) ) : '';
! 	$user_name = isset($_POST['user_name']) ? trim( wp_unslash( $_POST['user_name'] ) ) : 'admin';
  	$admin_password = isset($_POST['admin_password']) ? trim( wp_unslash( $_POST['admin_password'] ) ) : '';
  	$admin_email  = isset( $_POST['admin_email']  ) ? trim( wp_unslash( $_POST['admin_email'] ) ) : '';
  
  	if ( ! is_null( $error ) ) {
  ?>
! <p class="message"><?php printf( __( '<strong>ERROR</strong>: %s' ), $error ); ?></p>
  <?php } ?>
  <form id="setup" method="post" action="install.php?step=2">
  	<table class="form-table">
--- 85,97 ----
  		$blog_public = isset( $_POST['blog_public'] );
  
  	$weblog_title = isset( $_POST['weblog_title'] ) ? trim( wp_unslash( $_POST['weblog_title'] ) ) : '';
! 	$user_name = isset($_POST['user_name']) ? trim( wp_unslash( $_POST['user_name'] ) ) : '';
  	$admin_password = isset($_POST['admin_password']) ? trim( wp_unslash( $_POST['admin_password'] ) ) : '';
  	$admin_email  = isset( $_POST['admin_email']  ) ? trim( wp_unslash( $_POST['admin_email'] ) ) : '';
  
  	if ( ! is_null( $error ) ) {
  ?>
! <p class="message"><?php echo $error; ?></p>
  <?php } ?>
  <form id="setup" method="post" action="install.php?step=2">
  	<table class="form-table">
***************
*** 190,196 ****
  		display_header();
  		// Fill in the data we gathered
  		$weblog_title = isset( $_POST['weblog_title'] ) ? trim( wp_unslash( $_POST['weblog_title'] ) ) : '';
! 		$user_name = isset($_POST['user_name']) ? trim( wp_unslash( $_POST['user_name'] ) ) : 'admin';
  		$admin_password = isset($_POST['admin_password']) ? wp_unslash( $_POST['admin_password'] ) : '';
  		$admin_password_check = isset($_POST['admin_password2']) ? wp_unslash( $_POST['admin_password2'] ) : '';
  		$admin_email  = isset( $_POST['admin_email']  ) ?trim( wp_unslash( $_POST['admin_email'] ) ) : '';
--- 190,196 ----
  		display_header();
  		// Fill in the data we gathered
  		$weblog_title = isset( $_POST['weblog_title'] ) ? trim( wp_unslash( $_POST['weblog_title'] ) ) : '';
! 		$user_name = isset($_POST['user_name']) ? trim( wp_unslash( $_POST['user_name'] ) ) : '';
  		$admin_password = isset($_POST['admin_password']) ? wp_unslash( $_POST['admin_password'] ) : '';
  		$admin_password_check = isset($_POST['admin_password2']) ? wp_unslash( $_POST['admin_password2'] ) : '';
  		$admin_email  = isset( $_POST['admin_email']  ) ?trim( wp_unslash( $_POST['admin_email'] ) ) : '';
***************
*** 199,220 ****
  		$error = false;
  		if ( empty( $user_name ) ) {
  			// TODO: poka-yoke
! 			display_setup_form( __('you must provide a valid username.') );
  			$error = true;
  		} elseif ( $user_name != sanitize_user( $user_name, true ) ) {
! 			display_setup_form( __('the username you provided has invalid characters.') );
  			$error = true;
  		} elseif ( $admin_password != $admin_password_check ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'your passwords do not match. Please try again' ) );
  			$error = true;
  		} else if ( empty( $admin_email ) ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'you must provide an e-mail address.' ) );
  			$error = true;
  		} elseif ( ! is_email( $admin_email ) ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'that isn&#8217;t a valid e-mail address. E-mail addresses look like: <code>username@example.com</code>' ) );
  			$error = true;
  		}
  
--- 199,220 ----
  		$error = false;
  		if ( empty( $user_name ) ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'Please provide a valid username.' ) );
  			$error = true;
  		} elseif ( $user_name != sanitize_user( $user_name, true ) ) {
! 			display_setup_form( __( 'The username you provided has invalid characters.' ) );
  			$error = true;
  		} elseif ( $admin_password != $admin_password_check ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'Your passwords do not match. Please try again.' ) );
  			$error = true;
  		} else if ( empty( $admin_email ) ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'You must provide an email address.' ) );
  			$error = true;
  		} elseif ( ! is_email( $admin_email ) ) {
  			// TODO: poka-yoke
! 			display_setup_form( __( 'Sorry, that isn&#8217;t a valid email address. Email addresses look like <code>username@example.com</code>.' ) );
  			$error = true;
  		}
  
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/about.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/about.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/about.js	1969-12-31 18:00:00.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/about.js	2013-10-23 14:55:09.000000000 -0500
***************
*** 0 ****
--- 1,80 ----
+ (function($){
+ 	var password = 'Gosh, WordPress is grand.',
+ 		$input = $('#pass'),
+ 		shouldAnimate = true,
+ 		timesForAnimation = [280, 300, 305, 310, 315, 325, 330, 345, 360, 370, 380, 400, 450, 500, 600],
+ 		resultsCache = {},
+ 		indicatorString = $('#pass-strength-result').text();
+ 
+ 	function updateResult(){
+ 		var strength;
+ 
+ 		if ( typeof( resultsCache[ $input.val() ]) === 'undefined') {
+ 			strength = wp.passwordStrength.meter($input.val(), [], $input.val());
+ 			resultsCache[ $input.val() ] = strength;
+ 		} else {
+ 			strength = resultsCache[ $input.val() ];
+ 		}
+ 
+ 		$('#pass-strength-result').removeClass('short bad good strong');
+ 		switch ( strength ) {
+ 			case 2:
+ 				$('#pass-strength-result').addClass('bad').html( pwsL10n['bad'] );
+ 				break;
+ 			case 3:
+ 				$('#pass-strength-result').addClass('good').html( pwsL10n['good'] );
+ 				break;
+ 			case 4:
+ 				$('#pass-strength-result').addClass('strong').html( pwsL10n['strong'] );
+ 				break;
+ 			default:
+ 				$('#pass-strength-result').addClass('short').html( pwsL10n['short'] );
+ 		}
+ 	}
+ 	function resetMeter(){
+ 		$input.val('');
+ 		$('#pass-strength-result').text(indicatorString);
+ 		$('#pass-strength-result').removeClass('short bad good strong');
+ 	}
+ 
+ 	function animate(){
+ 		if (shouldAnimate === false)
+ 			return;
+ 		if ($input.val().length < password.length){
+ 			$input.val( password.substr(0, $input.val().length + 1) );
+ 			updateResult();
+ 
+ 			// Look like real typing by changing the speed new letters are added each time
+ 			setTimeout( animate, ( timesForAnimation[ Math.floor( Math.random() * timesForAnimation.length ) ] ) );
+ 		} else {
+ 			resetMeter();
+ 
+ 			// When we reset, let's wait a bit longer than normal to start again
+ 			setTimeout(animate, 700);
+ 		}
+ 
+ 	}
+ 
+ 	function begin(){
+ 		// we async load zxcvbn, so we need to make sure it's loaded before starting
+ 		if (typeof(zxcvbn) !== 'undefined')
+ 			animate();
+ 		else
+ 			setTimeout(begin,800);
+ 	}
+ 
+ 	// Turn off the animation on focus
+ 	$input.on('focus', function(){
+ 		shouldAnimate = false;
+ 		resetMeter();
+ 	});
+ 
+ 	// Act like a normal password strength meter
+ 	$input.on('keyup', function(){
+ 		updateResult();
+ 	});
+ 
+ 	// Start the animation
+ 	begin();
+ 
+ })(jQuery);
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/common.js /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/common.js
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-admin/js/common.js	2013-08-30 12:06:04.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-admin/js/common.js	2013-10-02 20:09:10.000000000 -0500
***************
*** 160,166 ****
  });
  
  $(document).ready( function() {
! 	var lastClicked = false, checks, first, last, checked, menu = $('#adminmenu'), mobileEvent,
  		pageInput = $('input.current-page'), currentPage = pageInput.val();
  
  	// when the menu is folded, make the fly-out submenu header clickable
--- 160,166 ----
  });
  
  $(document).ready( function() {
! 	var lastClicked = false, checks, first, last, checked, sliced, menu = $('#adminmenu'), mobileEvent,
  		pageInput = $('input.current-page'), currentPage = pageInput.val();
  
  	// when the menu is folded, make the fly-out submenu header clickable
***************
*** 286,292 ****
  			last = checks.index( this );
  			checked = $(this).prop('checked');
  			if ( 0 < first && 0 < last && first != last ) {
! 				checks.slice( first, last ).prop( 'checked', function(){
  					if ( $(this).closest('tr').is(':visible') )
  						return checked;
  
--- 286,293 ----
  			last = checks.index( this );
  			checked = $(this).prop('checked');
  			if ( 0 < first && 0 < last && first != last ) {
! 				sliced = ( last > first ) ? checks.slice( first, last ) : checks.slice( last, first );
! 				sliced.prop( 'checked', function() {
  					if ( $(this).closest('tr').is(':visible') )
  						return checked;
  
***************
*** 333,338 ****
--- 334,353 ----
  		});
  	});
  
+ 	// Show row actions on keyboard focus of its parent container element or any other elements contained within
+ 	var transitionTimeout, focusedRowActions;
+ 	$( 'td.post-title, td.title, td.comment, .bookmarks td.column-name, td.blogname, td.username, .dashboard-comment-wrap' ).focusin(function(){
+ 		clearTimeout( transitionTimeout );
+ 		focusedRowActions = $(this).find( '.row-actions' );
+ 		focusedRowActions.addClass( 'visible' );
+ 	}).focusout(function(){
+ 		// Tabbing between post title and .row-actions links needs a brief pause, otherwise
+ 		// the .row-actions div gets hidden in transit in some browsers (ahem, Firefox).
+ 		transitionTimeout = setTimeout(function(){
+ 			focusedRowActions.removeClass( 'visible' );
+ 		}, 30);
+ 	});
+ 
  	$('#default-password-nag-no').click( function() {
  		setUserSetting('default_password_nag', 'hide');
  		$('div.default-password-nag').hide();
***************
*** 395,400 ****
--- 410,419 ----
  		});
  	}
  
+ 	$('.search-box input[type="search"], .search-box input[type="submit"]').mousedown(function () {
+ 		$('select[name^="action"]').val('-1');
+ 	});
+ 
  	// Scroll into view when focused
  	$('#contextual-help-link, #show-settings-link').on( 'focus.scroll-into-view', function(e){
  		if ( e.target.scrollIntoView )
